
L3GD20_Driver_L3GD20_ReadReg:

;L3GD20_Driver.mbas,49 :: 		sub function L3GD20_ReadReg(dim address as byte, dim dat as ^byte) as byte
;L3GD20_Driver.mbas,50 :: 		I2C1_Start()              ' issue I2C start signal
	CALL        _I2C1_Start+0, 0
;L3GD20_Driver.mbas,51 :: 		I2C1_Wr(L3GD20_W_ADDRESS) ' send byte via I2C (device address + W)
	MOVLW       210
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;L3GD20_Driver.mbas,52 :: 		I2C1_Wr(address)          ' send byte (data address)
	MOVF        FARG_L3GD20_ReadReg_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;L3GD20_Driver.mbas,53 :: 		I2C1_Repeated_Start()     ' issue I2C signal repeated start
	CALL        _I2C1_Repeated_Start+0, 0
;L3GD20_Driver.mbas,54 :: 		I2C1_Wr(L3GD20_R_ADDRESS) ' send byte (device address + R)
	MOVLW       211
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;L3GD20_Driver.mbas,55 :: 		dat^ = I2C1_Rd(0)         ' Read the data (NO acknowledge)
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FARG_L3GD20_ReadReg_dat+0, FSR1L
	MOVFF       FARG_L3GD20_ReadReg_dat+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;L3GD20_Driver.mbas,56 :: 		I2C1_Stop()               ' issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
;L3GD20_Driver.mbas,57 :: 		result = 1
	MOVLW       1
	MOVWF       L3GD20_ReadReg_local_result+0 
;L3GD20_Driver.mbas,58 :: 		end sub
	MOVF        L3GD20_ReadReg_local_result+0, 0 
	MOVWF       R0 
	RETURN      0
; end of L3GD20_Driver_L3GD20_ReadReg

L3GD20_Driver_L3GD20_WriteReg:

;L3GD20_Driver.mbas,62 :: 		sub function L3GD20_WriteReg(dim address as byte, dim dat as byte) as byte
;L3GD20_Driver.mbas,63 :: 		I2C1_Start()              ' issue I2C start signal
	CALL        _I2C1_Start+0, 0
;L3GD20_Driver.mbas,64 :: 		I2C1_Wr(L3GD20_W_ADDRESS) ' send byte via I2C  (device address + W)
	MOVLW       210
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;L3GD20_Driver.mbas,65 :: 		I2C1_Wr(address)          ' send byte (address of the location)
	MOVF        FARG_L3GD20_WriteReg_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;L3GD20_Driver.mbas,66 :: 		I2C1_Wr(dat)              ' send data (data to be written)
	MOVF        FARG_L3GD20_WriteReg_dat+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;L3GD20_Driver.mbas,67 :: 		I2C1_Stop()               ' issue I2C stop signal*/
	CALL        _I2C1_Stop+0, 0
;L3GD20_Driver.mbas,68 :: 		result = 1
	MOVLW       1
	MOVWF       L3GD20_WriteReg_local_result+0 
;L3GD20_Driver.mbas,69 :: 		end sub
	MOVF        L3GD20_WriteReg_local_result+0, 0 
	MOVWF       R0 
	RETURN      0
; end of L3GD20_Driver_L3GD20_WriteReg

_Gyro_Init:

;L3GD20_Driver.mbas,73 :: 		sub function Gyro_Init() as byte
;L3GD20_Driver.mbas,74 :: 		GYRO_CS = 1
	BSF         GYRO_CS+0, BitPos(GYRO_CS+0) 
;L3GD20_Driver.mbas,75 :: 		GYRO_CS_Dir = 0
	BCF         GYRO_CS_Dir+0, BitPos(GYRO_CS_Dir+0) 
;L3GD20_Driver.mbas,76 :: 		DATA_RDY_Dir = 1
	BSF         DATA_RDY_Dir+0, BitPos(DATA_RDY_Dir+0) 
;L3GD20_Driver.mbas,77 :: 		GYRO_INT_Dir = 1
	BSF         GYRO_INT_Dir+0, BitPos(GYRO_INT_Dir+0) 
;L3GD20_Driver.mbas,78 :: 		result = 1
	MOVLW       1
	MOVWF       R1 
;L3GD20_Driver.mbas,79 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
	RETURN      0
; end of _Gyro_Init

_Identify_Gyro:

;L3GD20_Driver.mbas,84 :: 		dim value as byte
;L3GD20_Driver.mbas,85 :: 		result = 0
	CLRF        Identify_Gyro_local_result+0 
;L3GD20_Driver.mbas,86 :: 		if (L3GD20_ReadReg(L3GD20_WHO_AM_I, @value) <> 1 ) then exit end if
	MOVLW       15
	MOVWF       FARG_L3GD20_ReadReg_address+0 
	MOVLW       Identify_Gyro_value+0
	MOVWF       FARG_L3GD20_ReadReg_dat+0 
	MOVLW       hi_addr(Identify_Gyro_value+0)
	MOVWF       FARG_L3GD20_ReadReg_dat+1 
	CALL        L3GD20_Driver_L3GD20_ReadReg+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L__Identify_Gyro5
	GOTO        L_end__Identify_Gyro
L__Identify_Gyro5:
;L3GD20_Driver.mbas,87 :: 		result = value
	MOVF        Identify_Gyro_value+0, 0 
	MOVWF       Identify_Gyro_local_result+0 
;L3GD20_Driver.mbas,88 :: 		end sub
L_end__Identify_Gyro:
	MOVF        Identify_Gyro_local_result+0, 0 
	MOVWF       R0 
	RETURN      0
; end of _Identify_Gyro

_L3GD20_Configure:

;L3GD20_Driver.mbas,93 :: 		dim value as char
;L3GD20_Driver.mbas,94 :: 		result = 0
	CLRF        L3GD20_Configure_local_result+0 
;L3GD20_Driver.mbas,95 :: 		if( L3GD20_ReadReg(L3GD20_CTRL_REG5, @value) = 0) then exit end if
	MOVLW       36
	MOVWF       FARG_L3GD20_ReadReg_address+0 
	MOVLW       L3GD20_Configure_value+0
	MOVWF       FARG_L3GD20_ReadReg_dat+0 
	MOVLW       hi_addr(L3GD20_Configure_value+0)
	MOVWF       FARG_L3GD20_ReadReg_dat+1 
	CALL        L3GD20_Driver_L3GD20_ReadReg+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__L3GD20_Configure9
	GOTO        L_end__L3GD20_Configure
L__L3GD20_Configure9:
;L3GD20_Driver.mbas,96 :: 		if( L3GD20_WriteReg(address, config) = 0 )then exit end if
	MOVF        FARG_L3GD20_Configure_address+0, 0 
	MOVWF       FARG_L3GD20_WriteReg_address+0 
	MOVF        FARG_L3GD20_Configure_config+0, 0 
	MOVWF       FARG_L3GD20_WriteReg_dat+0 
	CALL        L3GD20_Driver_L3GD20_WriteReg+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__L3GD20_Configure12
	GOTO        L_end__L3GD20_Configure
L__L3GD20_Configure12:
;L3GD20_Driver.mbas,97 :: 		result = 1
	MOVLW       1
	MOVWF       L3GD20_Configure_local_result+0 
;L3GD20_Driver.mbas,98 :: 		end sub
L_end__L3GD20_Configure:
	MOVF        L3GD20_Configure_local_result+0, 0 
	MOVWF       R0 
	RETURN      0
; end of _L3GD20_Configure

_L3GD20_GetAngRateRaw:

;L3GD20_Driver.mbas,104 :: 		dim high_byte as byte
;L3GD20_Driver.mbas,105 :: 		result = 0
	CLRF        L3GD20_GetAngRateRaw_local_result+0 
;L3GD20_Driver.mbas,106 :: 		while(DATA_RDY = 0) wend
L__L3GD20_GetAngRateRaw16:
	BTFSS       DATA_RDY+0, BitPos(DATA_RDY+0) 
	GOTO        L__L3GD20_GetAngRateRaw16
;L3GD20_Driver.mbas,107 :: 		if( L3GD20_ReadReg(L3GD20_OUT_X_L, @low_byte)  = 0)  then exit end if ' Read the LBs from X axis output register
	MOVLW       40
	MOVWF       FARG_L3GD20_ReadReg_address+0 
	MOVLW       L3GD20_GetAngRateRaw_low_byte+0
	MOVWF       FARG_L3GD20_ReadReg_dat+0 
	MOVLW       hi_addr(L3GD20_GetAngRateRaw_low_byte+0)
	MOVWF       FARG_L3GD20_ReadReg_dat+1 
	CALL        L3GD20_Driver_L3GD20_ReadReg+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__L3GD20_GetAngRateRaw21
	GOTO        L_end__L3GD20_GetAngRateRaw
L__L3GD20_GetAngRateRaw21:
;L3GD20_Driver.mbas,108 :: 		if( L3GD20_ReadReg(L3GD20_OUT_X_H, @high_byte) = 0)  then exit end if ' Read the LBs from X axis output register
	MOVLW       41
	MOVWF       FARG_L3GD20_ReadReg_address+0 
	MOVLW       L3GD20_GetAngRateRaw_high_byte+0
	MOVWF       FARG_L3GD20_ReadReg_dat+0 
	MOVLW       hi_addr(L3GD20_GetAngRateRaw_high_byte+0)
	MOVWF       FARG_L3GD20_ReadReg_dat+1 
	CALL        L3GD20_Driver_L3GD20_ReadReg+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__L3GD20_GetAngRateRaw24
	GOTO        L_end__L3GD20_GetAngRateRaw
L__L3GD20_GetAngRateRaw24:
;L3GD20_Driver.mbas,109 :: 		buff^.X_AXIS = ( (high_byte << 8) OR low_byte )                       ' Create int from two bytes
	MOVF        L3GD20_GetAngRateRaw_high_byte+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        L3GD20_GetAngRateRaw_low_byte+0, 0 
	IORWF       R0, 1 
	MOVLW       0
	IORWF       R1, 1 
	MOVFF       FARG_L3GD20_GetAngRateRaw_buff+0, FSR1L
	MOVFF       FARG_L3GD20_GetAngRateRaw_buff+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;L3GD20_Driver.mbas,111 :: 		while(DATA_RDY = 0) wend
L__L3GD20_GetAngRateRaw27:
	BTFSS       DATA_RDY+0, BitPos(DATA_RDY+0) 
	GOTO        L__L3GD20_GetAngRateRaw27
;L3GD20_Driver.mbas,112 :: 		if( L3GD20_ReadReg(L3GD20_OUT_Y_L, @low_byte)  = 0)  then exit end if ' Read the LBs from Y axis output register
	MOVLW       42
	MOVWF       FARG_L3GD20_ReadReg_address+0 
	MOVLW       L3GD20_GetAngRateRaw_low_byte+0
	MOVWF       FARG_L3GD20_ReadReg_dat+0 
	MOVLW       hi_addr(L3GD20_GetAngRateRaw_low_byte+0)
	MOVWF       FARG_L3GD20_ReadReg_dat+1 
	CALL        L3GD20_Driver_L3GD20_ReadReg+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__L3GD20_GetAngRateRaw32
	GOTO        L_end__L3GD20_GetAngRateRaw
L__L3GD20_GetAngRateRaw32:
;L3GD20_Driver.mbas,113 :: 		if( L3GD20_ReadReg(L3GD20_OUT_Y_H, @high_byte) = 0 ) then exit end if ' Read the LBs from Y axis output register
	MOVLW       43
	MOVWF       FARG_L3GD20_ReadReg_address+0 
	MOVLW       L3GD20_GetAngRateRaw_high_byte+0
	MOVWF       FARG_L3GD20_ReadReg_dat+0 
	MOVLW       hi_addr(L3GD20_GetAngRateRaw_high_byte+0)
	MOVWF       FARG_L3GD20_ReadReg_dat+1 
	CALL        L3GD20_Driver_L3GD20_ReadReg+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__L3GD20_GetAngRateRaw35
	GOTO        L_end__L3GD20_GetAngRateRaw
L__L3GD20_GetAngRateRaw35:
;L3GD20_Driver.mbas,114 :: 		buff^.Y_AXIS = ( (high_byte << 8) OR low_byte )                       ' Create int from two bytes
	MOVLW       2
	ADDWF       FARG_L3GD20_GetAngRateRaw_buff+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      FARG_L3GD20_GetAngRateRaw_buff+1, 0 
	MOVWF       FSR1H 
	MOVF        L3GD20_GetAngRateRaw_high_byte+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        L3GD20_GetAngRateRaw_low_byte+0, 0 
	IORWF       R0, 1 
	MOVLW       0
	IORWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;L3GD20_Driver.mbas,116 :: 		while(DATA_RDY = 0) wend
L__L3GD20_GetAngRateRaw38:
	BTFSS       DATA_RDY+0, BitPos(DATA_RDY+0) 
	GOTO        L__L3GD20_GetAngRateRaw38
;L3GD20_Driver.mbas,117 :: 		if( L3GD20_ReadReg(L3GD20_OUT_Z_L, @low_byte)  = 0) then exit end if ' Read the LBs from Z axis output register
	MOVLW       44
	MOVWF       FARG_L3GD20_ReadReg_address+0 
	MOVLW       L3GD20_GetAngRateRaw_low_byte+0
	MOVWF       FARG_L3GD20_ReadReg_dat+0 
	MOVLW       hi_addr(L3GD20_GetAngRateRaw_low_byte+0)
	MOVWF       FARG_L3GD20_ReadReg_dat+1 
	CALL        L3GD20_Driver_L3GD20_ReadReg+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__L3GD20_GetAngRateRaw43
	GOTO        L_end__L3GD20_GetAngRateRaw
L__L3GD20_GetAngRateRaw43:
;L3GD20_Driver.mbas,118 :: 		if( L3GD20_ReadReg(L3GD20_OUT_Z_H, @high_byte) = 0) then exit end if ' Read the LBs from Z axis output register
	MOVLW       45
	MOVWF       FARG_L3GD20_ReadReg_address+0 
	MOVLW       L3GD20_GetAngRateRaw_high_byte+0
	MOVWF       FARG_L3GD20_ReadReg_dat+0 
	MOVLW       hi_addr(L3GD20_GetAngRateRaw_high_byte+0)
	MOVWF       FARG_L3GD20_ReadReg_dat+1 
	CALL        L3GD20_Driver_L3GD20_ReadReg+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__L3GD20_GetAngRateRaw46
	GOTO        L_end__L3GD20_GetAngRateRaw
L__L3GD20_GetAngRateRaw46:
;L3GD20_Driver.mbas,119 :: 		buff^.Z_AXIS = ( (high_byte << 8) OR low_byte )                      ' Create int from two bytes
	MOVLW       4
	ADDWF       FARG_L3GD20_GetAngRateRaw_buff+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      FARG_L3GD20_GetAngRateRaw_buff+1, 0 
	MOVWF       FSR1H 
	MOVF        L3GD20_GetAngRateRaw_high_byte+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        L3GD20_GetAngRateRaw_low_byte+0, 0 
	IORWF       R0, 1 
	MOVLW       0
	IORWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;L3GD20_Driver.mbas,120 :: 		result = 1
	MOVLW       1
	MOVWF       L3GD20_GetAngRateRaw_local_result+0 
;L3GD20_Driver.mbas,121 :: 		end sub
L_end__L3GD20_GetAngRateRaw:
	MOVF        L3GD20_GetAngRateRaw_local_result+0, 0 
	MOVWF       R0 
	RETURN      0
; end of _L3GD20_GetAngRateRaw
