
_MCU_Init:

;ZIROSKOP_X_Y_Z.mbas,62 :: 		sub procedure MCU_Init()
;ZIROSKOP_X_Y_Z.mbas,63 :: 		INTCON = $A0             ' enable GIE, TMR0IE
	MOVLW       160
	MOVWF       INTCON+0 
;ZIROSKOP_X_Y_Z.mbas,64 :: 		CMCON = CMCON or 0x3F    ' turn off comparators
	MOVLW       63
	IORWF       CMCON+0, 1 
;ZIROSKOP_X_Y_Z.mbas,65 :: 		ADCON1 = ADCON1 or 0x0F  ' turn off analog inputs
	MOVLW       15
	IORWF       ADCON1+0, 1 
;ZIROSKOP_X_Y_Z.mbas,66 :: 		LATA = 0x00                   ' Reset LAT register values
	CLRF        LATA+0 
;ZIROSKOP_X_Y_Z.mbas,67 :: 		LATB = 0x00
	CLRF        LATB+0 
;ZIROSKOP_X_Y_Z.mbas,68 :: 		LATC = 0x00
	CLRF        LATC+0 
;ZIROSKOP_X_Y_Z.mbas,69 :: 		LATD = 0x00
	CLRF        LATD+0 
;ZIROSKOP_X_Y_Z.mbas,70 :: 		LATE = 0x00
	CLRF        LATE+0 
;ZIROSKOP_X_Y_Z.mbas,72 :: 		TRISA = 0x00                  ' Configure pins as output
	CLRF        TRISA+0 
;ZIROSKOP_X_Y_Z.mbas,73 :: 		PORTA = 0x00
	CLRF        PORTA+0 
;ZIROSKOP_X_Y_Z.mbas,74 :: 		TRISB = 0x00                  ' Configure pins as output
	CLRF        TRISB+0 
;ZIROSKOP_X_Y_Z.mbas,75 :: 		PORTB = 0x00
	CLRF        PORTB+0 
;ZIROSKOP_X_Y_Z.mbas,76 :: 		TRISC = 0x00
	CLRF        TRISC+0 
;ZIROSKOP_X_Y_Z.mbas,77 :: 		PORTC = 0x00
	CLRF        PORTC+0 
;ZIROSKOP_X_Y_Z.mbas,78 :: 		TRISD = 0x00
	CLRF        TRISD+0 
;ZIROSKOP_X_Y_Z.mbas,79 :: 		PORTD = 0x00
	CLRF        PORTD+0 
;ZIROSKOP_X_Y_Z.mbas,80 :: 		TRISE = 0x00
	CLRF        TRISE+0 
;ZIROSKOP_X_Y_Z.mbas,81 :: 		PORTE = 0x00
	CLRF        PORTE+0 
;ZIROSKOP_X_Y_Z.mbas,83 :: 		Delay_ms(100)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L__MCU_Init1:
	DECFSZ      R13, 1, 1
	BRA         L__MCU_Init1
	DECFSZ      R12, 1, 1
	BRA         L__MCU_Init1
	DECFSZ      R11, 1, 1
	BRA         L__MCU_Init1
	NOP
;ZIROSKOP_X_Y_Z.mbas,84 :: 		I2C1_Init(100000)             ' Initialize I2C
	MOVLW       20
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;ZIROSKOP_X_Y_Z.mbas,85 :: 		Delay_ms(100)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L__MCU_Init2:
	DECFSZ      R13, 1, 1
	BRA         L__MCU_Init2
	DECFSZ      R12, 1, 1
	BRA         L__MCU_Init2
	DECFSZ      R11, 1, 1
	BRA         L__MCU_Init2
	NOP
;ZIROSKOP_X_Y_Z.mbas,86 :: 		LCD_PLL_INIT                  ' Initialize LCD
	CALL        _LCD_PLL_INIT+0, 0
;ZIROSKOP_X_Y_Z.mbas,87 :: 		Delay_ms(100)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L__MCU_Init3:
	DECFSZ      R13, 1, 1
	BRA         L__MCU_Init3
	DECFSZ      R12, 1, 1
	BRA         L__MCU_Init3
	DECFSZ      R11, 1, 1
	BRA         L__MCU_Init3
	NOP
;ZIROSKOP_X_Y_Z.mbas,88 :: 		LCD_PLL_CMD(_LCD_CURSOR_OFF)
	MOVLW       12
	MOVWF       FARG_LCD_PLL_CMD_TEKST+0 
	CALL        _LCD_PLL_CMD+0, 0
;ZIROSKOP_X_Y_Z.mbas,89 :: 		LCD_PLL_CMD(_LCD_CLEAR)
	MOVLW       1
	MOVWF       FARG_LCD_PLL_CMD_TEKST+0 
	CALL        _LCD_PLL_CMD+0, 0
;ZIROSKOP_X_Y_Z.mbas,90 :: 		Delay_ms(100)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L__MCU_Init4:
	DECFSZ      R13, 1, 1
	BRA         L__MCU_Init4
	DECFSZ      R12, 1, 1
	BRA         L__MCU_Init4
	DECFSZ      R11, 1, 1
	BRA         L__MCU_Init4
	NOP
;ZIROSKOP_X_Y_Z.mbas,91 :: 		end sub
	RETURN      0
; end of _MCU_Init

_Gyro_Config:

;ZIROSKOP_X_Y_Z.mbas,99 :: 		dim txt as char[3]
;ZIROSKOP_X_Y_Z.mbas,101 :: 		r0_x = 0
	CLRF        _r0_x+0 
	CLRF        _r0_x+1 
	CLRF        _r0_x+2 
	CLRF        _r0_x+3 
;ZIROSKOP_X_Y_Z.mbas,102 :: 		r0_y = 0
	CLRF        _r0_y+0 
	CLRF        _r0_y+1 
	CLRF        _r0_y+2 
	CLRF        _r0_y+3 
;ZIROSKOP_X_Y_Z.mbas,103 :: 		r0_z = 0
	CLRF        _r0_z+0 
	CLRF        _r0_z+1 
	CLRF        _r0_z+2 
	CLRF        _r0_z+3 
;ZIROSKOP_X_Y_Z.mbas,104 :: 		response = 0
	CLRF        Gyro_Config_response+0 
;ZIROSKOP_X_Y_Z.mbas,105 :: 		response = response + L3GD20_Configure(L3GD20_CTRL_REG1, 0x1F)   ' Turn ON module (normal mode), enable X, Y and Z axis , ODR=95Hz, Cut-Off=25
	MOVLW       32
	MOVWF       FARG_L3GD20_Configure_address+0 
	MOVLW       31
	MOVWF       FARG_L3GD20_Configure_config+0 
	CALL        _L3GD20_Configure+0, 0
	MOVF        R0, 0 
	ADDWF       Gyro_Config_response+0, 1 
;ZIROSKOP_X_Y_Z.mbas,106 :: 		response = response + L3GD20_Configure(L3GD20_CTRL_REG4, 0x00)   ' Full scale selection - 250dps
	MOVLW       35
	MOVWF       FARG_L3GD20_Configure_address+0 
	CLRF        FARG_L3GD20_Configure_config+0 
	CALL        _L3GD20_Configure+0, 0
	MOVF        R0, 0 
	ADDWF       Gyro_Config_response+0, 1 
;ZIROSKOP_X_Y_Z.mbas,109 :: 		response = response + L3GD20_Configure(L3GD20_CTRL_REG3, 0x08)   ' Enable Date-ready on DRDY/INT2 pin
	MOVLW       34
	MOVWF       FARG_L3GD20_Configure_address+0 
	MOVLW       8
	MOVWF       FARG_L3GD20_Configure_config+0 
	CALL        _L3GD20_Configure+0, 0
	MOVF        R0, 0 
	ADDWF       Gyro_Config_response+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       Gyro_Config_response+0 
;ZIROSKOP_X_Y_Z.mbas,110 :: 		if (response = 3)then                                            ' Sum of all resposne values should be 3
	MOVF        R1, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__Gyro_Config7
;ZIROSKOP_X_Y_Z.mbas,111 :: 		LCD_PLL_OUT(2,4,"Gyro module")
	MOVLW       2
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       4
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       71
	MOVWF       ?LocalText_Gyro_Config+0 
	MOVLW       121
	MOVWF       ?LocalText_Gyro_Config+1 
	MOVLW       114
	MOVWF       ?LocalText_Gyro_Config+2 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+3 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+4 
	MOVLW       109
	MOVWF       ?LocalText_Gyro_Config+5 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+6 
	MOVLW       100
	MOVWF       ?LocalText_Gyro_Config+7 
	MOVLW       117
	MOVWF       ?LocalText_Gyro_Config+8 
	MOVLW       108
	MOVWF       ?LocalText_Gyro_Config+9 
	MOVLW       101
	MOVWF       ?LocalText_Gyro_Config+10 
	CLRF        ?LocalText_Gyro_Config+11 
	MOVLW       ?LocalText_Gyro_Config+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_Gyro_Config+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,112 :: 		LCD_PLL_OUT(3,4,"initialized.")
	MOVLW       3
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       4
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+0 
	MOVLW       110
	MOVWF       ?LocalText_Gyro_Config+1 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+2 
	MOVLW       116
	MOVWF       ?LocalText_Gyro_Config+3 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+4 
	MOVLW       97
	MOVWF       ?LocalText_Gyro_Config+5 
	MOVLW       108
	MOVWF       ?LocalText_Gyro_Config+6 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+7 
	MOVLW       122
	MOVWF       ?LocalText_Gyro_Config+8 
	MOVLW       101
	MOVWF       ?LocalText_Gyro_Config+9 
	MOVLW       100
	MOVWF       ?LocalText_Gyro_Config+10 
	MOVLW       46
	MOVWF       ?LocalText_Gyro_Config+11 
	CLRF        ?LocalText_Gyro_Config+12 
	MOVLW       ?LocalText_Gyro_Config+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_Gyro_Config+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,113 :: 		Delay_ms(2000)
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__Gyro_Config9:
	DECFSZ      R13, 1, 1
	BRA         L__Gyro_Config9
	DECFSZ      R12, 1, 1
	BRA         L__Gyro_Config9
	DECFSZ      R11, 1, 1
	BRA         L__Gyro_Config9
	NOP
	GOTO        L__Gyro_Config8
;ZIROSKOP_X_Y_Z.mbas,114 :: 		else
L__Gyro_Config7:
;ZIROSKOP_X_Y_Z.mbas,115 :: 		LCD_PLL_OUT(1,1,"Error: Gyro Config!")
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       69
	MOVWF       ?LocalText_Gyro_Config+0 
	MOVLW       114
	MOVWF       ?LocalText_Gyro_Config+1 
	MOVLW       114
	MOVWF       ?LocalText_Gyro_Config+2 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+3 
	MOVLW       114
	MOVWF       ?LocalText_Gyro_Config+4 
	MOVLW       58
	MOVWF       ?LocalText_Gyro_Config+5 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+6 
	MOVLW       71
	MOVWF       ?LocalText_Gyro_Config+7 
	MOVLW       121
	MOVWF       ?LocalText_Gyro_Config+8 
	MOVLW       114
	MOVWF       ?LocalText_Gyro_Config+9 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+10 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+11 
	MOVLW       67
	MOVWF       ?LocalText_Gyro_Config+12 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+13 
	MOVLW       110
	MOVWF       ?LocalText_Gyro_Config+14 
	MOVLW       102
	MOVWF       ?LocalText_Gyro_Config+15 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+16 
	MOVLW       103
	MOVWF       ?LocalText_Gyro_Config+17 
	MOVLW       33
	MOVWF       ?LocalText_Gyro_Config+18 
	CLRF        ?LocalText_Gyro_Config+19 
	MOVLW       ?LocalText_Gyro_Config+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_Gyro_Config+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,116 :: 		Delay_ms(2000)
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__Gyro_Config10:
	DECFSZ      R13, 1, 1
	BRA         L__Gyro_Config10
	DECFSZ      R12, 1, 1
	BRA         L__Gyro_Config10
	DECFSZ      R11, 1, 1
	BRA         L__Gyro_Config10
	NOP
;ZIROSKOP_X_Y_Z.mbas,117 :: 		end if
L__Gyro_Config8:
;ZIROSKOP_X_Y_Z.mbas,118 :: 		LCD_PLL_CMD(_LCD_CLEAR)
	MOVLW       1
	MOVWF       FARG_LCD_PLL_CMD_TEKST+0 
	CALL        _LCD_PLL_CMD+0, 0
;ZIROSKOP_X_Y_Z.mbas,120 :: 		ID = Identify_Gyro()                ' Get ID from Gyroscope module
	CALL        _Identify_Gyro+0, 0
;ZIROSKOP_X_Y_Z.mbas,121 :: 		ByteToHex(ID, txt)                  ' Convert byte value to HEX-String
	MOVF        R0, 0 
	MOVWF       FARG_ByteToHex_input+0 
	MOVLW       Gyro_Config_txt+0
	MOVWF       FARG_ByteToHex_output+0 
	MOVLW       hi_addr(Gyro_Config_txt+0)
	MOVWF       FARG_ByteToHex_output+1 
	CALL        _ByteToHex+0, 0
;ZIROSKOP_X_Y_Z.mbas,122 :: 		LCD_PLL_OUT(1,1,"GyroID:")
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       71
	MOVWF       ?LocalText_Gyro_Config+0 
	MOVLW       121
	MOVWF       ?LocalText_Gyro_Config+1 
	MOVLW       114
	MOVWF       ?LocalText_Gyro_Config+2 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+3 
	MOVLW       73
	MOVWF       ?LocalText_Gyro_Config+4 
	MOVLW       68
	MOVWF       ?LocalText_Gyro_Config+5 
	MOVLW       58
	MOVWF       ?LocalText_Gyro_Config+6 
	CLRF        ?LocalText_Gyro_Config+7 
	MOVLW       ?LocalText_Gyro_Config+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_Gyro_Config+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,123 :: 		LCD_PLL_OUT(1,9,txt)
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       9
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       Gyro_Config_txt+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(Gyro_Config_txt+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,124 :: 		LCD_PLL_OUT(3,1,"Call: Module should ")
	MOVLW       3
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       67
	MOVWF       ?LocalText_Gyro_Config+0 
	MOVLW       97
	MOVWF       ?LocalText_Gyro_Config+1 
	MOVLW       108
	MOVWF       ?LocalText_Gyro_Config+2 
	MOVLW       108
	MOVWF       ?LocalText_Gyro_Config+3 
	MOVLW       58
	MOVWF       ?LocalText_Gyro_Config+4 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+5 
	MOVLW       77
	MOVWF       ?LocalText_Gyro_Config+6 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+7 
	MOVLW       100
	MOVWF       ?LocalText_Gyro_Config+8 
	MOVLW       117
	MOVWF       ?LocalText_Gyro_Config+9 
	MOVLW       108
	MOVWF       ?LocalText_Gyro_Config+10 
	MOVLW       101
	MOVWF       ?LocalText_Gyro_Config+11 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+12 
	MOVLW       115
	MOVWF       ?LocalText_Gyro_Config+13 
	MOVLW       104
	MOVWF       ?LocalText_Gyro_Config+14 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+15 
	MOVLW       117
	MOVWF       ?LocalText_Gyro_Config+16 
	MOVLW       108
	MOVWF       ?LocalText_Gyro_Config+17 
	MOVLW       100
	MOVWF       ?LocalText_Gyro_Config+18 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+19 
	CLRF        ?LocalText_Gyro_Config+20 
	MOVLW       ?LocalText_Gyro_Config+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_Gyro_Config+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,125 :: 		LCD_PLL_OUT(4,1,"be in rest position.")
	MOVLW       4
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       98
	MOVWF       ?LocalText_Gyro_Config+0 
	MOVLW       101
	MOVWF       ?LocalText_Gyro_Config+1 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+2 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+3 
	MOVLW       110
	MOVWF       ?LocalText_Gyro_Config+4 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+5 
	MOVLW       114
	MOVWF       ?LocalText_Gyro_Config+6 
	MOVLW       101
	MOVWF       ?LocalText_Gyro_Config+7 
	MOVLW       115
	MOVWF       ?LocalText_Gyro_Config+8 
	MOVLW       116
	MOVWF       ?LocalText_Gyro_Config+9 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+10 
	MOVLW       112
	MOVWF       ?LocalText_Gyro_Config+11 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+12 
	MOVLW       115
	MOVWF       ?LocalText_Gyro_Config+13 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+14 
	MOVLW       116
	MOVWF       ?LocalText_Gyro_Config+15 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+16 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+17 
	MOVLW       110
	MOVWF       ?LocalText_Gyro_Config+18 
	MOVLW       46
	MOVWF       ?LocalText_Gyro_Config+19 
	CLRF        ?LocalText_Gyro_Config+20 
	MOVLW       ?LocalText_Gyro_Config+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_Gyro_Config+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,126 :: 		Delay_ms(3000)
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L__Gyro_Config11:
	DECFSZ      R13, 1, 1
	BRA         L__Gyro_Config11
	DECFSZ      R12, 1, 1
	BRA         L__Gyro_Config11
	DECFSZ      R11, 1, 1
	BRA         L__Gyro_Config11
	NOP
;ZIROSKOP_X_Y_Z.mbas,128 :: 		for i = 0 to  63                    ' Collect 64 values in rest position
	CLRF        Gyro_Config_i+0 
L__Gyro_Config13:
;ZIROSKOP_X_Y_Z.mbas,129 :: 		L3GD20_GetAngRateRaw(@value)
	MOVLW       _value+0
	MOVWF       FARG_L3GD20_GetAngRateRaw_buff+0 
	MOVLW       hi_addr(_value+0)
	MOVWF       FARG_L3GD20_GetAngRateRaw_buff+1 
	CALL        _L3GD20_GetAngRateRaw+0, 0
;ZIROSKOP_X_Y_Z.mbas,130 :: 		r0_x = r0_x + value.X_AXIS        ' Sum the values
	MOVF        _value+0, 0 
	ADDWF       _r0_x+0, 1 
	MOVF        _value+1, 0 
	ADDWFC      _r0_x+1, 1 
	MOVLW       0
	BTFSC       _value+1, 7 
	MOVLW       255
	ADDWFC      _r0_x+2, 1 
	ADDWFC      _r0_x+3, 1 
;ZIROSKOP_X_Y_Z.mbas,131 :: 		r0_y = r0_y + value.Y_AXIS        ' for every
	MOVF        _value+2, 0 
	ADDWF       _r0_y+0, 1 
	MOVF        _value+3, 0 
	ADDWFC      _r0_y+1, 1 
	MOVLW       0
	BTFSC       _value+3, 7 
	MOVLW       255
	ADDWFC      _r0_y+2, 1 
	ADDWFC      _r0_y+3, 1 
;ZIROSKOP_X_Y_Z.mbas,132 :: 		r0_z = r0_z + value.Z_AXIS        ' axis
	MOVF        _value+4, 0 
	ADDWF       _r0_z+0, 1 
	MOVF        _value+5, 0 
	ADDWFC      _r0_z+1, 1 
	MOVLW       0
	BTFSC       _value+5, 7 
	MOVLW       255
	ADDWFC      _r0_z+2, 1 
	ADDWFC      _r0_z+3, 1 
;ZIROSKOP_X_Y_Z.mbas,133 :: 		next i
	MOVF        Gyro_Config_i+0, 0 
	XORLW       63
	BTFSC       STATUS+0, 2 
	GOTO        L__Gyro_Config16
	INCF        Gyro_Config_i+0, 1 
	GOTO        L__Gyro_Config13
L__Gyro_Config16:
;ZIROSKOP_X_Y_Z.mbas,135 :: 		r0_x = r0_x >> 6                    ' Find avreage reding in resting position
	MOVLW       6
	MOVWF       R0 
	MOVF        R0, 0 
L__Gyro_Config48:
	BZ          L__Gyro_Config49
	RRCF        _r0_x+3, 1 
	RRCF        _r0_x+2, 1 
	RRCF        _r0_x+1, 1 
	RRCF        _r0_x+0, 1 
	BCF         _r0_x+3, 7 
	BTFSC       _r0_x+3, 6 
	BSF         _r0_x+3, 7 
	ADDLW       255
	GOTO        L__Gyro_Config48
L__Gyro_Config49:
;ZIROSKOP_X_Y_Z.mbas,136 :: 		r0_y = r0_y >> 6                    ' and use them as correction values
	MOVLW       6
	MOVWF       R0 
	MOVF        R0, 0 
L__Gyro_Config50:
	BZ          L__Gyro_Config51
	RRCF        _r0_y+3, 1 
	RRCF        _r0_y+2, 1 
	RRCF        _r0_y+1, 1 
	RRCF        _r0_y+0, 1 
	BCF         _r0_y+3, 7 
	BTFSC       _r0_y+3, 6 
	BSF         _r0_y+3, 7 
	ADDLW       255
	GOTO        L__Gyro_Config50
L__Gyro_Config51:
;ZIROSKOP_X_Y_Z.mbas,137 :: 		r0_z = r0_z >> 6                    ' for all three axis
	MOVLW       6
	MOVWF       R0 
	MOVF        R0, 0 
L__Gyro_Config52:
	BZ          L__Gyro_Config53
	RRCF        _r0_z+3, 1 
	RRCF        _r0_z+2, 1 
	RRCF        _r0_z+1, 1 
	RRCF        _r0_z+0, 1 
	BCF         _r0_z+3, 7 
	BTFSC       _r0_z+3, 6 
	BSF         _r0_z+3, 7 
	ADDLW       255
	GOTO        L__Gyro_Config52
L__Gyro_Config53:
;ZIROSKOP_X_Y_Z.mbas,139 :: 		LCD_PLL_CMD(_LCD_CLEAR)
	MOVLW       1
	MOVWF       FARG_LCD_PLL_CMD_TEKST+0 
	CALL        _LCD_PLL_CMD+0, 0
;ZIROSKOP_X_Y_Z.mbas,140 :: 		LCD_PLL_OUT(2,1," Calibration: Done! ")
	MOVLW       2
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+0 
	MOVLW       67
	MOVWF       ?LocalText_Gyro_Config+1 
	MOVLW       97
	MOVWF       ?LocalText_Gyro_Config+2 
	MOVLW       108
	MOVWF       ?LocalText_Gyro_Config+3 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+4 
	MOVLW       98
	MOVWF       ?LocalText_Gyro_Config+5 
	MOVLW       114
	MOVWF       ?LocalText_Gyro_Config+6 
	MOVLW       97
	MOVWF       ?LocalText_Gyro_Config+7 
	MOVLW       116
	MOVWF       ?LocalText_Gyro_Config+8 
	MOVLW       105
	MOVWF       ?LocalText_Gyro_Config+9 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+10 
	MOVLW       110
	MOVWF       ?LocalText_Gyro_Config+11 
	MOVLW       58
	MOVWF       ?LocalText_Gyro_Config+12 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+13 
	MOVLW       68
	MOVWF       ?LocalText_Gyro_Config+14 
	MOVLW       111
	MOVWF       ?LocalText_Gyro_Config+15 
	MOVLW       110
	MOVWF       ?LocalText_Gyro_Config+16 
	MOVLW       101
	MOVWF       ?LocalText_Gyro_Config+17 
	MOVLW       33
	MOVWF       ?LocalText_Gyro_Config+18 
	MOVLW       32
	MOVWF       ?LocalText_Gyro_Config+19 
	CLRF        ?LocalText_Gyro_Config+20 
	MOVLW       ?LocalText_Gyro_Config+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_Gyro_Config+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,141 :: 		Delay_ms(2000)
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__Gyro_Config17:
	DECFSZ      R13, 1, 1
	BRA         L__Gyro_Config17
	DECFSZ      R12, 1, 1
	BRA         L__Gyro_Config17
	DECFSZ      R11, 1, 1
	BRA         L__Gyro_Config17
	NOP
;ZIROSKOP_X_Y_Z.mbas,142 :: 		LCD_PLL_CMD(_LCD_CLEAR)
	MOVLW       1
	MOVWF       FARG_LCD_PLL_CMD_TEKST+0 
	CALL        _LCD_PLL_CMD+0, 0
;ZIROSKOP_X_Y_Z.mbas,143 :: 		end sub
	RETURN      0
; end of _Gyro_Config

_main:

;ZIROSKOP_X_Y_Z.mbas,147 :: 		main:
;ZIROSKOP_X_Y_Z.mbas,148 :: 		MCU_Init()
	CALL        _MCU_Init+0, 0
;ZIROSKOP_X_Y_Z.mbas,149 :: 		Gyro_Init()
	CALL        _Gyro_Init+0, 0
;ZIROSKOP_X_Y_Z.mbas,150 :: 		Gyro_Config()
	CALL        _Gyro_Config+0, 0
;ZIROSKOP_X_Y_Z.mbas,151 :: 		sumX = 0
	CLRF        R0 
	CALL        _Byte2Double+0, 0
	MOVF        R0, 0 
	MOVWF       _sumX+0 
	MOVF        R1, 0 
	MOVWF       _sumX+1 
	MOVF        R2, 0 
	MOVWF       _sumX+2 
	MOVF        R3, 0 
	MOVWF       _sumX+3 
;ZIROSKOP_X_Y_Z.mbas,152 :: 		sumY = 0
	MOVF        R0, 0 
	MOVWF       _sumY+0 
	MOVF        R1, 0 
	MOVWF       _sumY+1 
	MOVF        R2, 0 
	MOVWF       _sumY+2 
	MOVF        R3, 0 
	MOVWF       _sumY+3 
;ZIROSKOP_X_Y_Z.mbas,153 :: 		sumZ = 0
	MOVF        R0, 0 
	MOVWF       _sumZ+0 
	MOVF        R1, 0 
	MOVWF       _sumZ+1 
	MOVF        R2, 0 
	MOVWF       _sumZ+2 
	MOVF        R3, 0 
	MOVWF       _sumZ+3 
;ZIROSKOP_X_Y_Z.mbas,154 :: 		display_flag = 0
	CLRF        _display_flag+0 
;ZIROSKOP_X_Y_Z.mbas,158 :: 		while(1)
L__main20:
;ZIROSKOP_X_Y_Z.mbas,159 :: 		response = L3GD20_GetAngRateRaw(@value)
	MOVLW       _value+0
	MOVWF       FARG_L3GD20_GetAngRateRaw_buff+0 
	MOVLW       hi_addr(_value+0)
	MOVWF       FARG_L3GD20_GetAngRateRaw_buff+1 
	CALL        _L3GD20_GetAngRateRaw+0, 0
	MOVF        R0, 0 
	MOVWF       _response+0 
;ZIROSKOP_X_Y_Z.mbas,161 :: 		if (response = 1) then
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main25
;ZIROSKOP_X_Y_Z.mbas,163 :: 		DATA_X = value.X_AXIS - r0_x
	MOVF        _value+0, 0 
	MOVWF       R1 
	MOVF        _value+1, 0 
	MOVWF       R2 
	MOVLW       0
	BTFSC       _value+1, 7 
	MOVLW       255
	MOVWF       R3 
	MOVWF       R4 
	MOVF        _r0_x+0, 0 
	SUBWF       R1, 1 
	MOVF        _r0_x+1, 0 
	SUBWFB      R2, 1 
	MOVF        _r0_x+2, 0 
	SUBWFB      R3, 1 
	MOVF        _r0_x+3, 0 
	SUBWFB      R4, 1 
	MOVF        R1, 0 
	MOVWF       _DATA_X+0 
	MOVF        R2, 0 
	MOVWF       _DATA_X+1 
	MOVF        R3, 0 
	MOVWF       _DATA_X+2 
	MOVF        R4, 0 
	MOVWF       _DATA_X+3 
;ZIROSKOP_X_Y_Z.mbas,164 :: 		IF DATA_X < 0 THEN  DATA_X  = DATA_X * (-1) END IF
	MOVLW       128
	XORWF       R4, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main54
	MOVLW       0
	SUBWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main54
	MOVLW       0
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main54
	MOVLW       0
	SUBWF       R1, 0 
L__main54:
	BTFSC       STATUS+0, 0 
	GOTO        L__main28
	MOVF        _DATA_X+0, 0 
	MOVWF       R0 
	MOVF        _DATA_X+1, 0 
	MOVWF       R1 
	MOVF        _DATA_X+2, 0 
	MOVWF       R2 
	MOVF        _DATA_X+3, 0 
	MOVWF       R3 
	MOVLW       255
	MOVWF       R4 
	MOVLW       255
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _DATA_X+0 
	MOVF        R1, 0 
	MOVWF       _DATA_X+1 
	MOVF        R2, 0 
	MOVWF       _DATA_X+2 
	MOVF        R3, 0 
	MOVWF       _DATA_X+3 
L__main28:
;ZIROSKOP_X_Y_Z.mbas,165 :: 		if DATA_X > TSHLD then       ' If corrected value of X axis is over treshold level use the vale for integration
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _DATA_X+3, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main55
	MOVF        _DATA_X+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main55
	MOVF        _DATA_X+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main55
	MOVF        _DATA_X+0, 0 
	SUBLW       50
L__main55:
	BTFSC       STATUS+0, 0 
	GOTO        L__main31
;ZIROSKOP_X_Y_Z.mbas,166 :: 		Xval = value.X_AXIS - r0_x                    ' Calculate Angular rate for X axis
	MOVF        _r0_x+0, 0 
	SUBWF       _value+0, 0 
	MOVWF       R0 
	MOVF        _r0_x+1, 0 
	SUBWFB      _value+1, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       _Xval+0 
	MOVF        R1, 0 
	MOVWF       _Xval+1 
;ZIROSKOP_X_Y_Z.mbas,167 :: 		sumX = sumX + (Xval * 0.00875 / 94.8 * 3.0)   ' Multuply with dps factor for 250dps i's 8.75 mdps/sec (0,00875)
	CALL        _Int2Double+0, 0
	MOVLW       41
	MOVWF       R4 
	MOVLW       92
	MOVWF       R5 
	MOVLW       15
	MOVWF       R6 
	MOVLW       120
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       154
	MOVWF       R4 
	MOVLW       153
	MOVWF       R5 
	MOVLW       61
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       64
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        _sumX+0, 0 
	MOVWF       R4 
	MOVF        _sumX+1, 0 
	MOVWF       R5 
	MOVF        _sumX+2, 0 
	MOVWF       R6 
	MOVF        _sumX+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _sumX+0 
	MOVF        R1, 0 
	MOVWF       _sumX+1 
	MOVF        R2, 0 
	MOVWF       _sumX+2 
	MOVF        R3, 0 
	MOVWF       _sumX+3 
;ZIROSKOP_X_Y_Z.mbas,169 :: 		display_flag = 1                              ' Raise the flag for data to be displayed via UART
	MOVLW       1
	MOVWF       _display_flag+0 
L__main31:
;ZIROSKOP_X_Y_Z.mbas,172 :: 		DATA_Y = value.Y_AXIS - r0_y
	MOVF        _value+2, 0 
	MOVWF       R1 
	MOVF        _value+3, 0 
	MOVWF       R2 
	MOVLW       0
	BTFSC       _value+3, 7 
	MOVLW       255
	MOVWF       R3 
	MOVWF       R4 
	MOVF        _r0_y+0, 0 
	SUBWF       R1, 1 
	MOVF        _r0_y+1, 0 
	SUBWFB      R2, 1 
	MOVF        _r0_y+2, 0 
	SUBWFB      R3, 1 
	MOVF        _r0_y+3, 0 
	SUBWFB      R4, 1 
	MOVF        R1, 0 
	MOVWF       _DATA_Y+0 
	MOVF        R2, 0 
	MOVWF       _DATA_Y+1 
	MOVF        R3, 0 
	MOVWF       _DATA_Y+2 
	MOVF        R4, 0 
	MOVWF       _DATA_Y+3 
;ZIROSKOP_X_Y_Z.mbas,173 :: 		IF DATA_Y < 0 THEN  DATA_Y  = DATA_Y * (-1) END IF
	MOVLW       128
	XORWF       R4, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main56
	MOVLW       0
	SUBWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main56
	MOVLW       0
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main56
	MOVLW       0
	SUBWF       R1, 0 
L__main56:
	BTFSC       STATUS+0, 0 
	GOTO        L__main34
	MOVF        _DATA_Y+0, 0 
	MOVWF       R0 
	MOVF        _DATA_Y+1, 0 
	MOVWF       R1 
	MOVF        _DATA_Y+2, 0 
	MOVWF       R2 
	MOVF        _DATA_Y+3, 0 
	MOVWF       R3 
	MOVLW       255
	MOVWF       R4 
	MOVLW       255
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _DATA_Y+0 
	MOVF        R1, 0 
	MOVWF       _DATA_Y+1 
	MOVF        R2, 0 
	MOVWF       _DATA_Y+2 
	MOVF        R3, 0 
	MOVWF       _DATA_Y+3 
L__main34:
;ZIROSKOP_X_Y_Z.mbas,174 :: 		if DATA_Y > TSHLD then       ' If corrected value of Y axis is over treshold level use the vale for integration
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _DATA_Y+3, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main57
	MOVF        _DATA_Y+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main57
	MOVF        _DATA_Y+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main57
	MOVF        _DATA_Y+0, 0 
	SUBLW       50
L__main57:
	BTFSC       STATUS+0, 0 
	GOTO        L__main37
;ZIROSKOP_X_Y_Z.mbas,175 :: 		Yval = value.Y_AXIS - r0_y                     ' Calculate Angular rate for Y axis
	MOVF        _r0_y+0, 0 
	SUBWF       _value+2, 0 
	MOVWF       R0 
	MOVF        _r0_y+1, 0 
	SUBWFB      _value+3, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       _Yval+0 
	MOVF        R1, 0 
	MOVWF       _Yval+1 
;ZIROSKOP_X_Y_Z.mbas,176 :: 		sumY = sumY + (Yval  * 0.00875 / 94.8 * 3.0)   ' Multuply with dps factor for 250dps i's 8.75 mdps/sec (0,00875)
	CALL        _Int2Double+0, 0
	MOVLW       41
	MOVWF       R4 
	MOVLW       92
	MOVWF       R5 
	MOVLW       15
	MOVWF       R6 
	MOVLW       120
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       154
	MOVWF       R4 
	MOVLW       153
	MOVWF       R5 
	MOVLW       61
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       64
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        _sumY+0, 0 
	MOVWF       R4 
	MOVF        _sumY+1, 0 
	MOVWF       R5 
	MOVF        _sumY+2, 0 
	MOVWF       R6 
	MOVF        _sumY+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _sumY+0 
	MOVF        R1, 0 
	MOVWF       _sumY+1 
	MOVF        R2, 0 
	MOVWF       _sumY+2 
	MOVF        R3, 0 
	MOVWF       _sumY+3 
;ZIROSKOP_X_Y_Z.mbas,178 :: 		display_flag = 1                               ' Raise the flag for data to be displayed via UART
	MOVLW       1
	MOVWF       _display_flag+0 
L__main37:
;ZIROSKOP_X_Y_Z.mbas,181 :: 		DATA_Z = value.Z_AXIS - r0_Z
	MOVF        _value+4, 0 
	MOVWF       R1 
	MOVF        _value+5, 0 
	MOVWF       R2 
	MOVLW       0
	BTFSC       _value+5, 7 
	MOVLW       255
	MOVWF       R3 
	MOVWF       R4 
	MOVF        _r0_z+0, 0 
	SUBWF       R1, 1 
	MOVF        _r0_z+1, 0 
	SUBWFB      R2, 1 
	MOVF        _r0_z+2, 0 
	SUBWFB      R3, 1 
	MOVF        _r0_z+3, 0 
	SUBWFB      R4, 1 
	MOVF        R1, 0 
	MOVWF       _DATA_Z+0 
	MOVF        R2, 0 
	MOVWF       _DATA_Z+1 
	MOVF        R3, 0 
	MOVWF       _DATA_Z+2 
	MOVF        R4, 0 
	MOVWF       _DATA_Z+3 
;ZIROSKOP_X_Y_Z.mbas,182 :: 		IF DATA_Z < 0 THEN  DATA_Z  = DATA_Z * (-1) END IF
	MOVLW       128
	XORWF       R4, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main58
	MOVLW       0
	SUBWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main58
	MOVLW       0
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main58
	MOVLW       0
	SUBWF       R1, 0 
L__main58:
	BTFSC       STATUS+0, 0 
	GOTO        L__main40
	MOVF        _DATA_Z+0, 0 
	MOVWF       R0 
	MOVF        _DATA_Z+1, 0 
	MOVWF       R1 
	MOVF        _DATA_Z+2, 0 
	MOVWF       R2 
	MOVF        _DATA_Z+3, 0 
	MOVWF       R3 
	MOVLW       255
	MOVWF       R4 
	MOVLW       255
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _DATA_Z+0 
	MOVF        R1, 0 
	MOVWF       _DATA_Z+1 
	MOVF        R2, 0 
	MOVWF       _DATA_Z+2 
	MOVF        R3, 0 
	MOVWF       _DATA_Z+3 
L__main40:
;ZIROSKOP_X_Y_Z.mbas,183 :: 		if DATA_Z > TSHLD then       ' If corrected value of Z axis is over treshold level use the vale for integration
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _DATA_Z+3, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main59
	MOVF        _DATA_Z+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main59
	MOVF        _DATA_Z+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main59
	MOVF        _DATA_Z+0, 0 
	SUBLW       50
L__main59:
	BTFSC       STATUS+0, 0 
	GOTO        L__main43
;ZIROSKOP_X_Y_Z.mbas,184 :: 		Zval = value.Z_AXIS - r0_z                    ' Calculate Angular rate for Z axis
	MOVF        _r0_z+0, 0 
	SUBWF       _value+4, 0 
	MOVWF       R0 
	MOVF        _r0_z+1, 0 
	SUBWFB      _value+5, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       _Zval+0 
	MOVF        R1, 0 
	MOVWF       _Zval+1 
;ZIROSKOP_X_Y_Z.mbas,185 :: 		sumZ = sumZ + (Zval * 0.00875 / 94.8 * 3.0)   ' Multuply with dps factor for 250dps i's 8.75 mdps/sec (0,00875)
	CALL        _Int2Double+0, 0
	MOVLW       41
	MOVWF       R4 
	MOVLW       92
	MOVWF       R5 
	MOVLW       15
	MOVWF       R6 
	MOVLW       120
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       154
	MOVWF       R4 
	MOVLW       153
	MOVWF       R5 
	MOVLW       61
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       64
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        _sumZ+0, 0 
	MOVWF       R4 
	MOVF        _sumZ+1, 0 
	MOVWF       R5 
	MOVF        _sumZ+2, 0 
	MOVWF       R6 
	MOVF        _sumZ+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _sumZ+0 
	MOVF        R1, 0 
	MOVWF       _sumZ+1 
	MOVF        R2, 0 
	MOVWF       _sumZ+2 
	MOVF        R3, 0 
	MOVWF       _sumZ+3 
;ZIROSKOP_X_Y_Z.mbas,187 :: 		display_flag = 1                              ' Raise the flag for data to be displayed via UART
	MOVLW       1
	MOVWF       _display_flag+0 
L__main43:
;ZIROSKOP_X_Y_Z.mbas,190 :: 		if(display_flag) then                            ' If change was detected, send data via UART
	MOVF        _display_flag+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main46
;ZIROSKOP_X_Y_Z.mbas,191 :: 		LCD_PLL_OUT(1,1,"    Reading data!   ")
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       32
	MOVWF       ?LocalText_main+0 
	MOVLW       32
	MOVWF       ?LocalText_main+1 
	MOVLW       32
	MOVWF       ?LocalText_main+2 
	MOVLW       32
	MOVWF       ?LocalText_main+3 
	MOVLW       82
	MOVWF       ?LocalText_main+4 
	MOVLW       101
	MOVWF       ?LocalText_main+5 
	MOVLW       97
	MOVWF       ?LocalText_main+6 
	MOVLW       100
	MOVWF       ?LocalText_main+7 
	MOVLW       105
	MOVWF       ?LocalText_main+8 
	MOVLW       110
	MOVWF       ?LocalText_main+9 
	MOVLW       103
	MOVWF       ?LocalText_main+10 
	MOVLW       32
	MOVWF       ?LocalText_main+11 
	MOVLW       100
	MOVWF       ?LocalText_main+12 
	MOVLW       97
	MOVWF       ?LocalText_main+13 
	MOVLW       116
	MOVWF       ?LocalText_main+14 
	MOVLW       97
	MOVWF       ?LocalText_main+15 
	MOVLW       33
	MOVWF       ?LocalText_main+16 
	MOVLW       32
	MOVWF       ?LocalText_main+17 
	MOVLW       32
	MOVWF       ?LocalText_main+18 
	MOVLW       32
	MOVWF       ?LocalText_main+19 
	CLRF        ?LocalText_main+20 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,192 :: 		LCD_PLL_OUT(2,1,"X:")
	MOVLW       2
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       88
	MOVWF       ?LocalText_main+0 
	MOVLW       58
	MOVWF       ?LocalText_main+1 
	CLRF        ?LocalText_main+2 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,193 :: 		LCD_PLL_OUT(3,1,"Y:")
	MOVLW       3
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       89
	MOVWF       ?LocalText_main+0 
	MOVLW       58
	MOVWF       ?LocalText_main+1 
	CLRF        ?LocalText_main+2 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,194 :: 		LCD_PLL_OUT(4,1,"Z:")
	MOVLW       4
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       90
	MOVWF       ?LocalText_main+0 
	MOVLW       58
	MOVWF       ?LocalText_main+1 
	CLRF        ?LocalText_main+2 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,195 :: 		FloatToStr(sumX, txt_DATA) LCD_PLL_OUT(2,4,txt_DATA)
	MOVF        _sumX+0, 0 
	MOVWF       FARG_FloatToStr_input+0 
	MOVF        _sumX+1, 0 
	MOVWF       FARG_FloatToStr_input+1 
	MOVF        _sumX+2, 0 
	MOVWF       FARG_FloatToStr_input+2 
	MOVF        _sumX+3, 0 
	MOVWF       FARG_FloatToStr_input+3 
	MOVLW       _txt_DATA+0
	MOVWF       FARG_FloatToStr_output+0 
	MOVLW       hi_addr(_txt_DATA+0)
	MOVWF       FARG_FloatToStr_output+1 
	CALL        _FloatToStr+0, 0
	MOVLW       2
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       4
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       _txt_DATA+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(_txt_DATA+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,196 :: 		FloatToStr(sumY, txt_DATA) LCD_PLL_OUT(3,4,txt_DATA)
	MOVF        _sumY+0, 0 
	MOVWF       FARG_FloatToStr_input+0 
	MOVF        _sumY+1, 0 
	MOVWF       FARG_FloatToStr_input+1 
	MOVF        _sumY+2, 0 
	MOVWF       FARG_FloatToStr_input+2 
	MOVF        _sumY+3, 0 
	MOVWF       FARG_FloatToStr_input+3 
	MOVLW       _txt_DATA+0
	MOVWF       FARG_FloatToStr_output+0 
	MOVLW       hi_addr(_txt_DATA+0)
	MOVWF       FARG_FloatToStr_output+1 
	CALL        _FloatToStr+0, 0
	MOVLW       3
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       4
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       _txt_DATA+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(_txt_DATA+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,197 :: 		FloatToStr(sumZ, txt_DATA) LCD_PLL_OUT(4,4,txt_DATA)
	MOVF        _sumZ+0, 0 
	MOVWF       FARG_FloatToStr_input+0 
	MOVF        _sumZ+1, 0 
	MOVWF       FARG_FloatToStr_input+1 
	MOVF        _sumZ+2, 0 
	MOVWF       FARG_FloatToStr_input+2 
	MOVF        _sumZ+3, 0 
	MOVWF       FARG_FloatToStr_input+3 
	MOVLW       _txt_DATA+0
	MOVWF       FARG_FloatToStr_output+0 
	MOVLW       hi_addr(_txt_DATA+0)
	MOVWF       FARG_FloatToStr_output+1 
	CALL        _FloatToStr+0, 0
	MOVLW       4
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       4
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       _txt_DATA+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(_txt_DATA+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,198 :: 		display_flag = 0                               ' Reset flag variable
	CLRF        _display_flag+0 
L__main46:
;ZIROSKOP_X_Y_Z.mbas,199 :: 		end if
	GOTO        L__main26
;ZIROSKOP_X_Y_Z.mbas,200 :: 		else
L__main25:
;ZIROSKOP_X_Y_Z.mbas,201 :: 		LCD_PLL_OUT(1,1,"Error reading data! ")
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       69
	MOVWF       ?LocalText_main+0 
	MOVLW       114
	MOVWF       ?LocalText_main+1 
	MOVLW       114
	MOVWF       ?LocalText_main+2 
	MOVLW       111
	MOVWF       ?LocalText_main+3 
	MOVLW       114
	MOVWF       ?LocalText_main+4 
	MOVLW       32
	MOVWF       ?LocalText_main+5 
	MOVLW       114
	MOVWF       ?LocalText_main+6 
	MOVLW       101
	MOVWF       ?LocalText_main+7 
	MOVLW       97
	MOVWF       ?LocalText_main+8 
	MOVLW       100
	MOVWF       ?LocalText_main+9 
	MOVLW       105
	MOVWF       ?LocalText_main+10 
	MOVLW       110
	MOVWF       ?LocalText_main+11 
	MOVLW       103
	MOVWF       ?LocalText_main+12 
	MOVLW       32
	MOVWF       ?LocalText_main+13 
	MOVLW       100
	MOVWF       ?LocalText_main+14 
	MOVLW       97
	MOVWF       ?LocalText_main+15 
	MOVLW       116
	MOVWF       ?LocalText_main+16 
	MOVLW       97
	MOVWF       ?LocalText_main+17 
	MOVLW       33
	MOVWF       ?LocalText_main+18 
	MOVLW       32
	MOVWF       ?LocalText_main+19 
	CLRF        ?LocalText_main+20 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ZIROSKOP_X_Y_Z.mbas,202 :: 		end if
L__main26:
;ZIROSKOP_X_Y_Z.mbas,203 :: 		wend
	GOTO        L__main20
	GOTO        $+0
; end of _main
