
USB_ZIROSKOP_X_Y_Z_interrupt:

;USB_ZIROSKOP_X_Y_Z.mbas,130 :: 		sub procedure interrupt   ' Main Interrupt Routine
;USB_ZIROSKOP_X_Y_Z.mbas,131 :: 		HID_InterruptProc
	CALL        _HID_InterruptProc+0, 0
L_USB_ZIROSKOP_X_Y_Z_interrupt23:
	RETFIE      1
; end of USB_ZIROSKOP_X_Y_Z_interrupt

USB_ZIROSKOP_X_Y_Z_Read1Byte:

;USB_ZIROSKOP_X_Y_Z.mbas,136 :: 		SUB function Read1Byte(DIM L3G4200D_ID AS BYTE, DIM L3G4200D_ADRESA AS BYTE) AS integer
;USB_ZIROSKOP_X_Y_Z.mbas,137 :: 		Soft_I2C_Start()                 ' issue I2C start signal
	CALL        _Soft_I2C_Start+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,138 :: 		Soft_I2C_Write(L3G4200D_Wr)      ' send byte via I2C (device WR)
	MOVLW       210
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,139 :: 		Soft_I2C_Write(L3G4200D_ADRESA)  ' send byte (data address)
	MOVF        FARG_Read1Byte_L3G4200D_ADRESA+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,140 :: 		Soft_I2C_Start()                 ' issue I2C signal repeated start
	CALL        _Soft_I2C_Start+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,141 :: 		Soft_I2C_Write(L3G4200D_Rd)      ' send byte (device address RD)
	MOVLW       211
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,142 :: 		result = Soft_I2C_Read(0)        ' Read the data (NO acknowledge)
	CLRF        FARG_Soft_I2C_Read_ack+0 
	CLRF        FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVF        R0, 0 
	MOVWF       Read1Byte_local_result+0 
	MOVLW       0
	MOVWF       Read1Byte_local_result+1 
;USB_ZIROSKOP_X_Y_Z.mbas,143 :: 		Soft_I2C_Stop()                  ' issue I2C stop signal
	CALL        _Soft_I2C_Stop+0, 0
	MOVF        Read1Byte_local_result+0, 0 
	MOVWF       R0 
	MOVF        Read1Byte_local_result+1, 0 
	MOVWF       R1 
	RETURN      0
; end of USB_ZIROSKOP_X_Y_Z_Read1Byte

USB_ZIROSKOP_X_Y_Z_Gyro_Config:

;USB_ZIROSKOP_X_Y_Z.mbas,148 :: 		SUB PROCEDURE Gyro_Config(DIM L3G4200D_WRITE AS BYTE, DIM L3G4200D_ADRESA AS BYTE, DIM L3G4200D_DATA AS BYTE)
;USB_ZIROSKOP_X_Y_Z.mbas,149 :: 		Soft_I2C_Start()                 ' issue I2C start signal
	CALL        _Soft_I2C_Start+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,150 :: 		Soft_I2C_Write(L3G4200D_WRITE)   ' send byte via I2C  (device WR)
	MOVF        FARG_Gyro_Config_L3G4200D_WRITE+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,151 :: 		Soft_I2C_Write(L3G4200D_ADRESA)  ' send byte (address of the location)
	MOVF        FARG_Gyro_Config_L3G4200D_ADRESA+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,152 :: 		Soft_I2C_Write(L3G4200D_DATA)    ' send data (data to be written)
	MOVF        FARG_Gyro_Config_L3G4200D_DATA+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,153 :: 		Soft_I2C_Stop()                  ' issue I2C stop signal*/
	CALL        _Soft_I2C_Stop+0, 0
	RETURN      0
; end of USB_ZIROSKOP_X_Y_Z_Gyro_Config

USB_ZIROSKOP_X_Y_Z_Gyro_New_Init:

;USB_ZIROSKOP_X_Y_Z.mbas,158 :: 		SUB PROCEDURE Gyro_New_Init() '  initialize NEW L3G4200D
;USB_ZIROSKOP_X_Y_Z.mbas,159 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG1, userRD_buffer[1])
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       32
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	MOVF        _userRD_buffer+1, 0 
	MOVWF       FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,160 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG2, userRD_buffer[2])
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       33
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	MOVF        _userRD_buffer+2, 0 
	MOVWF       FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,161 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG3, userRD_buffer[3])
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       34
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	MOVF        _userRD_buffer+3, 0 
	MOVWF       FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,162 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG4, userRD_buffer[4])
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       35
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	MOVF        _userRD_buffer+4, 0 
	MOVWF       FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,163 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG5, userRD_buffer[5])
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       36
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	MOVF        _userRD_buffer+5, 0 
	MOVWF       FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,165 :: 		userWR_buffer[0] = Read1Byte(L3G4200D_Wr, WHO_AM_I)
	MOVLW       210
	MOVWF       FARG_Read1Byte_L3G4200D_ID+0 
	MOVLW       15
	MOVWF       FARG_Read1Byte_L3G4200D_ADRESA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Read1Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _userWR_buffer+0 
	RETURN      0
; end of USB_ZIROSKOP_X_Y_Z_Gyro_New_Init

USB_ZIROSKOP_X_Y_Z_Gyro_Init:

;USB_ZIROSKOP_X_Y_Z.mbas,170 :: 		sub procedure Gyro_Init()   '  initialize default L3G4200D
;USB_ZIROSKOP_X_Y_Z.mbas,171 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG1, 0x0F)   ' Enable x, y, z and turn off power down
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       32
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	MOVLW       15
	MOVWF       FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,172 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG2, 0x00)
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       33
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	CLRF        FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,173 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG3, 0x08)
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       34
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	MOVLW       8
	MOVWF       FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,176 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG4, 0xB0)  ' scale 2000
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       35
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	MOVLW       176
	MOVWF       FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,177 :: 		Gyro_Config(L3G4200D_Wr, CTRL_REG5, 0x00)
	MOVLW       210
	MOVWF       FARG_Gyro_Config_L3G4200D_WRITE+0 
	MOVLW       36
	MOVWF       FARG_Gyro_Config_L3G4200D_ADRESA+0 
	CLRF        FARG_Gyro_Config_L3G4200D_DATA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Config+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,179 :: 		userWR_buffer[0] = Read1Byte(L3G4200D_Wr, WHO_AM_I)
	MOVLW       210
	MOVWF       FARG_Read1Byte_L3G4200D_ID+0 
	MOVLW       15
	MOVWF       FARG_Read1Byte_L3G4200D_ADRESA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Read1Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _userWR_buffer+0 
	RETURN      0
; end of USB_ZIROSKOP_X_Y_Z_Gyro_Init

USB_ZIROSKOP_X_Y_Z_Init_Main:

;USB_ZIROSKOP_X_Y_Z.mbas,184 :: 		sub procedure Init_Main   ' Initialization Routine
;USB_ZIROSKOP_X_Y_Z.mbas,185 :: 		INTCON = $A0            ' enable GIE, TMR0IE
	MOVLW       160
	MOVWF       INTCON+0 
;USB_ZIROSKOP_X_Y_Z.mbas,186 :: 		INTCON2 = 0x75          ' Turn on PORTB pull-ups
	MOVLW       117
	MOVWF       INTCON2+0 
;USB_ZIROSKOP_X_Y_Z.mbas,187 :: 		INTCON3 = 0xC0
	MOVLW       192
	MOVWF       INTCON3+0 
;USB_ZIROSKOP_X_Y_Z.mbas,188 :: 		RCON.IPEN = 0           ' Disable Priority Levels on interrupts
	BCF         RCON+0, 7 
;USB_ZIROSKOP_X_Y_Z.mbas,189 :: 		PIE1 = 0  PIE2 = 0
	CLRF        PIE1+0 
	CLRF        PIE2+0 
;USB_ZIROSKOP_X_Y_Z.mbas,190 :: 		PIR1 = 0  PIR2 = 0
	CLRF        PIR1+0 
	CLRF        PIR2+0 
;USB_ZIROSKOP_X_Y_Z.mbas,191 :: 		LATA = 0  LATB = 0  LATC = 0
	CLRF        LATA+0 
	CLRF        LATB+0 
	CLRF        LATC+0 
;USB_ZIROSKOP_X_Y_Z.mbas,193 :: 		ADCON1 = ADCON1 or 0x0F ' turn off analog inputs
	MOVLW       15
	IORWF       ADCON1+0, 1 
;USB_ZIROSKOP_X_Y_Z.mbas,194 :: 		CMCON = CMCON or 0x3F   ' turn off comparators
	MOVLW       63
	IORWF       CMCON+0, 1 
;USB_ZIROSKOP_X_Y_Z.mbas,196 :: 		TRISA = 0               ' Configure PORTA as output
	CLRF        TRISA+0 
;USB_ZIROSKOP_X_Y_Z.mbas,197 :: 		PORTA = 0
	CLRF        PORTA+0 
;USB_ZIROSKOP_X_Y_Z.mbas,198 :: 		TRISB = 0               ' Configure PORTB as output
	CLRF        TRISB+0 
;USB_ZIROSKOP_X_Y_Z.mbas,199 :: 		PORTB = 0
	CLRF        PORTB+0 
;USB_ZIROSKOP_X_Y_Z.mbas,200 :: 		TRISC = 0               ' Configure PORTC as output
	CLRF        TRISC+0 
;USB_ZIROSKOP_X_Y_Z.mbas,201 :: 		PORTC = 0
	CLRF        PORTC+0 
;USB_ZIROSKOP_X_Y_Z.mbas,203 :: 		FOR BR = 0 TO 8
	CLRF        _BR+0 
L_USB_ZIROSKOP_X_Y_Z_Init_Main7:
;USB_ZIROSKOP_X_Y_Z.mbas,204 :: 		userRD_buffer[BR] = 0x00     ' Initialize everything to 0
	MOVLW       _userRD_buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_userRD_buffer+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;USB_ZIROSKOP_X_Y_Z.mbas,205 :: 		userWR_buffer[BR] = 0x00     ' Initialize everything to 0
	MOVLW       _userWR_buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;USB_ZIROSKOP_X_Y_Z.mbas,206 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L_USB_ZIROSKOP_X_Y_Z_Init_Main10
	INCF        _BR+0, 1 
	GOTO        L_USB_ZIROSKOP_X_Y_Z_Init_Main7
L_USB_ZIROSKOP_X_Y_Z_Init_Main10:
;USB_ZIROSKOP_X_Y_Z.mbas,208 :: 		DATA_RDY = 1            ' Gyro ON DataReady - DRDY/INT2 pin
	BSF         PORTB+0, 2 
	RETURN      0
; end of USB_ZIROSKOP_X_Y_Z_Init_Main

_main:

;USB_ZIROSKOP_X_Y_Z.mbas,213 :: 		main:                  ' Main Program Routine
;USB_ZIROSKOP_X_Y_Z.mbas,214 :: 		Init_Main()
	CALL        USB_ZIROSKOP_X_Y_Z_Init_Main+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,215 :: 		HID_Enable(@userRD_buffer, @userWR_buffer)
	MOVLW       _userRD_buffer+0
	MOVWF       FARG_HID_Enable_ReadBuff+0 
	MOVLW       hi_addr(_userRD_buffer+0)
	MOVWF       FARG_HID_Enable_ReadBuff+1 
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Enable_WriteBuff+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Enable_WriteBuff+1 
	CALL        _HID_Enable+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,216 :: 		Delay_ms(1000)
	MOVLW       61
	MOVWF       R11, 0
	MOVLW       225
	MOVWF       R12, 0
	MOVLW       63
	MOVWF       R13, 0
L__main12:
	DECFSZ      R13, 1, 0
	BRA         L__main12
	DECFSZ      R12, 1, 0
	BRA         L__main12
	DECFSZ      R11, 1, 0
	BRA         L__main12
	NOP
	NOP
;USB_ZIROSKOP_X_Y_Z.mbas,217 :: 		Soft_I2C_Init()      ' Initialize Soft I2C communication
	CALL        _Soft_I2C_Init+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,218 :: 		Delay_ms(100)
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L__main13:
	DECFSZ      R13, 1, 0
	BRA         L__main13
	DECFSZ      R12, 1, 0
	BRA         L__main13
	DECFSZ      R11, 1, 0
	BRA         L__main13
	NOP
;USB_ZIROSKOP_X_Y_Z.mbas,219 :: 		Gyro_Init()          '  initializedefault L3G4200D
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_Init+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,220 :: 		Delay_ms(100)
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L__main14:
	DECFSZ      R13, 1, 0
	BRA         L__main14
	DECFSZ      R12, 1, 0
	BRA         L__main14
	DECFSZ      R11, 1, 0
	BRA         L__main14
	NOP
;USB_ZIROSKOP_X_Y_Z.mbas,224 :: 		WHILE TRUE
L__main16:
;USB_ZIROSKOP_X_Y_Z.mbas,225 :: 		IF userRD_buffer[0] = 1 THEN
	MOVF        _userRD_buffer+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main21
;USB_ZIROSKOP_X_Y_Z.mbas,226 :: 		Gyro_New_Init()
	CALL        USB_ZIROSKOP_X_Y_Z_Gyro_New_Init+0, 0
L__main21:
;USB_ZIROSKOP_X_Y_Z.mbas,228 :: 		userWR_buffer[1] = Read1Byte(WHO_AM_I,OUT_X_H)
	MOVLW       15
	MOVWF       FARG_Read1Byte_L3G4200D_ID+0 
	MOVLW       41
	MOVWF       FARG_Read1Byte_L3G4200D_ADRESA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Read1Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _userWR_buffer+1 
;USB_ZIROSKOP_X_Y_Z.mbas,229 :: 		userWR_buffer[2] = Read1Byte(WHO_AM_I,OUT_X_L)
	MOVLW       15
	MOVWF       FARG_Read1Byte_L3G4200D_ID+0 
	MOVLW       40
	MOVWF       FARG_Read1Byte_L3G4200D_ADRESA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Read1Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _userWR_buffer+2 
;USB_ZIROSKOP_X_Y_Z.mbas,230 :: 		userWR_buffer[3] = Read1Byte(WHO_AM_I,OUT_Y_H)
	MOVLW       15
	MOVWF       FARG_Read1Byte_L3G4200D_ID+0 
	MOVLW       43
	MOVWF       FARG_Read1Byte_L3G4200D_ADRESA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Read1Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _userWR_buffer+3 
;USB_ZIROSKOP_X_Y_Z.mbas,231 :: 		userWR_buffer[4] = Read1Byte(WHO_AM_I,OUT_Y_L)
	MOVLW       15
	MOVWF       FARG_Read1Byte_L3G4200D_ID+0 
	MOVLW       42
	MOVWF       FARG_Read1Byte_L3G4200D_ADRESA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Read1Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _userWR_buffer+4 
;USB_ZIROSKOP_X_Y_Z.mbas,232 :: 		userWR_buffer[5] = Read1Byte(WHO_AM_I,OUT_Z_H)
	MOVLW       15
	MOVWF       FARG_Read1Byte_L3G4200D_ID+0 
	MOVLW       45
	MOVWF       FARG_Read1Byte_L3G4200D_ADRESA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Read1Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _userWR_buffer+5 
;USB_ZIROSKOP_X_Y_Z.mbas,233 :: 		userWR_buffer[6] = Read1Byte(WHO_AM_I,OUT_Z_L)
	MOVLW       15
	MOVWF       FARG_Read1Byte_L3G4200D_ID+0 
	MOVLW       44
	MOVWF       FARG_Read1Byte_L3G4200D_ADRESA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Read1Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _userWR_buffer+6 
;USB_ZIROSKOP_X_Y_Z.mbas,234 :: 		userWR_buffer[7] = Read1Byte(WHO_AM_I,OUT_TEMP)
	MOVLW       15
	MOVWF       FARG_Read1Byte_L3G4200D_ID+0 
	MOVLW       38
	MOVWF       FARG_Read1Byte_L3G4200D_ADRESA+0 
	CALL        USB_ZIROSKOP_X_Y_Z_Read1Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _userWR_buffer+7 
;USB_ZIROSKOP_X_Y_Z.mbas,235 :: 		HID_Write(@userWR_buffer, 8)
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Write_Buffer+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Write_Buffer+1 
	MOVLW       8
	MOVWF       FARG_HID_Write_Len+0 
	CALL        _HID_Write+0, 0
;USB_ZIROSKOP_X_Y_Z.mbas,236 :: 		wend
	GOTO        L__main16
;USB_ZIROSKOP_X_Y_Z.mbas,237 :: 		HID_Disable()
	GOTO        $+0
; end of _main
